List all policies

Retrieve a paginated list of all policies in the system. This endpoint supports pagination and filtering of policies based on various criteria.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
boolean

Filter by policy enabled status.

string
enum

Filter by policy mode.

Allowed:
string
enum

Filter policies by action types.

Allowed:
string
enum
length ≤ 50

Filter policies by scope type (project or application).

Allowed:
stage_key
array of objects

Filter policies by stage. Multiple values can be provided for filtering.

stage_key
stage_gate
array of objects

Filter policies by gate. Multiple values can be provided for filtering.

stage_gate
rule_id
array of objects

Filter policies by rule ID. Multiple values can be provided for filtering.

rule_id
string
length between 1 and 255

Filter policies by project key.

boolean

Adding hierarchy filter logic in combination with other scope filter.

application_label_key
array of objects

Filter policies by application label key. Multiple values can be provided for filtering.

application_label_key
application_label_value
array of objects

Filter policies by application label value. Multiple values can be provided for filtering.

application_label_value
application_labels
object

Filter policies by application labels with exact key/value matches using deepObject style. Provide each label as a key in the object with its value as the property value.

Examples (preferred):

  • application_labels[environment]=production
  • application_labels[tier]=backend&application_labels[maturity]=beta

Notes:

  • When this filter is present, the scope type is enforced as project.
  • Policies without labels are included only when no label filters are specified.
application_key
array of objects

Filter policies by application key. Multiple values can be provided for filtering.

application_key
id
array of strings

Query by the resource id. Multiple values can be provided for filtering.

id
name
array of objects

Query by the resource name. Multiple values can be provided for filtering.

name
int32
≥ 0
Defaults to 0

A page offset to the requested page.

int32
1 to 1000
Defaults to 100

An integer value representing the maximum number of items to include in the response.

string
enum
Defaults to created_at

Policy attribute to sort by.

Allowed:
string
enum
Defaults to desc

Sort direction.

Allowed:
string
enum

Expand policy response to include complete rule objects.

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json